Subject: Re: esound for PPC

From: Ryan Nielsen <[email-masked]>
Date: Mon, 11 Oct 1999 20:03:46 -0700

Tom Rini wrote:
> 
> On Mon, 11 Oct 1999, Eric Dorland wrote:
> 
> > It appears I spoke to soon about sound working perfectly. Whenever esd plays
> > a 16bit wav file, the sound plays at about half speed. Ugg. At least its not
> > static anymore. I'm going to see if I can track down why this is happening
> > (maybe its some on-the-fly endianess swaping slowing it down), but I don't
> > know sound code all that well, so anyone that does, please lend a hand.
> 
> Elliot has the old set of patches ported up to 0.2.15, and hopefully will
> be in 0.2.16 :)

Does this fix the problem Eric wrote about ?
Þere is a bug in dmasound.c that causes sound to be played at 22050 Hz
instead of (usually) 44100 Hz if a beep (from awacs_mksound) is played.

I thought this should happen only if the process is suspended, but I made
beeps with the console while mpg123 was playing.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/